summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD40
2 files changed, 28 insertions, 36 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 81790543c39..7e3393da58a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,19 @@
pkgbase = vmware-horizon-client
pkgdesc = VMware Horizon Client connect to VMware Horizon virtual desktop
- pkgver = 2203
- pkgrel = 1
+ pkgver = 2209
+ pkgrel = 2
url = https://www.vmware.com/go/viewclients
arch = x86_64
license = custom
makedepends = libxslt
makedepends = patchelf
makedepends = librsvg
- source = vmware-horizon-client-2203-8.5.0-19586897-x86_64.bundle::https://download3.vmware.com/software/CART23FQ1_LIN64_2203/VMware-Horizon-Client-2203-8.5.0-19586897.x64.bundle
- source = vmware-bundle.eclass-2203::https://gitweb.gentoo.org/proj/vmware.git/plain/eclass/vmware-bundle.eclass
+ source = vmware-horizon-client-2209-8.7.0-20616018-x86_64.bundle::https://download3.vmware.com/software/CART23FQ3_LIN64_2209/VMware-Horizon-Client-2209-8.7.0-20616018.x64.bundle
+ source = vmware-bundle.eclass-2209::https://gitweb.gentoo.org/proj/vmware.git/plain/eclass/vmware-bundle.eclass
source = vmware-horizon-usb
source = vmware-horizon-usb.service
source = vmware-horizon.svg
- sha256sums = a8afe52dddcf02f98af74a74716c8ac5da87c05d7eda240f48075e730850c495
+ sha256sums = f1e7a48db91a70448027993e0d8d00dfccd5306938aa68cae35d83ceceb878bb
sha256sums = d6863e92b891fc506fc8e81714a47ca3f9f74b7fe68bdf48be058d5e0d433033
sha256sums = 008b60ebf45f7d1e033c8ad8ce1688d5e1c59fc0668493067fb89b563b1dc00f
sha256sums = a897c1b9e8928fc222880ebbfc7bb6aff940bff4acf4e4e0cd4002fff81c7226
@@ -21,15 +21,16 @@ pkgbase = vmware-horizon-client
pkgname = vmware-horizon-client
install = vmware-horizon-client.install
+ depends = binutils
+ depends = expat
+ depends = ffmpeg4.4
+ depends = glib2
depends = gtk3
depends = libudev0-shim
depends = libxml2
depends = libxss
depends = libxtst
depends = openssl
- depends = binutils
- depends = glib2
- depends = expat
depends = vmware-keymaps
optdepends = alsa-lib: audio support via alsa
optdepends = freerdp: RDP remote desktop connections
@@ -40,14 +41,15 @@ pkgname = vmware-horizon-client
optdepends = vmware-horizon-mmr: MultiMedia Redirection
optdepends = vmware-horizon-rtav: Real-Time Audio-Video (webcam and audio-in)
optdepends = vmware-horizon-smartcard: smartcard authentication
- optdepends = vmware-horizon-teams-optimization: Teams optimization
optdepends = vmware-horizon-tsdr: folder sharing
optdepends = vmware-horizon-usb: USB device redirection
conflicts = vmware-view-open-client
conflicts = vmware-view-open-client-beta
conflicts = vmware-view-client
conflicts = vmware-horizon-pcoip
+ conflicts = vmware-horizon-teams-optimization
replaces = vmware-horizon-pcoip
+ replaces = vmware-horizon-teams-optimization
pkgname = vmware-horizon-html5mmr
pkgdesc = VMware Horizon Client connect to VMware Horizon virtual desktop - HTML5 MultiMedia Redirection
@@ -85,10 +87,6 @@ pkgname = vmware-horizon-smartcard
depends = pcsclite
depends = glib2
-pkgname = vmware-horizon-teams-optimization
- pkgdesc = VMware Horizon Client connect to VMware Horizon virtual desktop - Teams optimization
- depends = vmware-horizon-client
-
pkgname = vmware-horizon-tsdr
pkgdesc = VMware Horizon Client connect to VMware Horizon virtual desktop - folder sharing
depends = vmware-horizon-client
diff --git a/PKGBUILD b/PKGBUILD
index 64c3940a1fc..7210f2dece3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,6 @@ pkgname=(
'vmware-horizon-mmr'
'vmware-horizon-rtav'
'vmware-horizon-smartcard'
- 'vmware-horizon-teams-optimization'
'vmware-horizon-tsdr'
'vmware-horizon-usb')
_bundled_with_client=(
@@ -20,11 +19,11 @@ _unused_components=(
'vmware-horizon-scannerclient'
'vmware-horizon-serialportclient'
'vmware-horizon-url-redirection')
-pkgver=2203
-_build1=8.5.0
-_build2=19586897
-_cart="CART23FQ1_LIN64_${pkgver/./_}"
-pkgrel=1
+pkgver=2209
+_build1=8.7.0
+_build2=20616018
+_cart="CART23FQ3_LIN64_${pkgver/./_}"
+pkgrel=2
pkgdesc='VMware Horizon Client connect to VMware Horizon virtual desktop'
arch=('x86_64')
url='https://www.vmware.com/go/viewclients'
@@ -35,7 +34,7 @@ source=("${pkgbase}-${pkgver}-${_build1}-${_build2}-x86_64.bundle::https://downl
'vmware-horizon-usb'
'vmware-horizon-usb.service'
'vmware-horizon.svg')
-sha256sums=('a8afe52dddcf02f98af74a74716c8ac5da87c05d7eda240f48075e730850c495'
+sha256sums=('f1e7a48db91a70448027993e0d8d00dfccd5306938aa68cae35d83ceceb878bb'
'd6863e92b891fc506fc8e81714a47ca3f9f74b7fe68bdf48be058d5e0d433033'
'008b60ebf45f7d1e033c8ad8ce1688d5e1c59fc0668493067fb89b563b1dc00f'
'a897c1b9e8928fc222880ebbfc7bb6aff940bff4acf4e4e0cd4002fff81c7226'
@@ -69,7 +68,7 @@ build() {
for bundle in "${pkgname[@]}" "${_bundled_with_client[@]}"; do
for FILE in $(find "${bundle}" -type f); do
# executables and libraries only
- file --mime "${FILE}" | egrep -q "(application/x-(pie-)?(executable|sharedlib)|text/x-shellscript)" || continue
+ file --mime "${FILE}" | grep -Eq "(application/x-(pie-)?(executable|sharedlib)|text/x-shellscript)" || continue
# make executable
chmod +x "${FILE}"
@@ -92,10 +91,10 @@ build() {
package_vmware-horizon-client() {
conflicts=('vmware-view-open-client' 'vmware-view-open-client-beta' 'vmware-view-client'
- 'vmware-horizon-pcoip')
- replaces=('vmware-horizon-pcoip')
- depends=('gtk3' 'libudev0-shim' 'libxml2' 'libxss'
- 'libxtst' 'openssl' 'binutils' 'glib2' 'expat' 'vmware-keymaps')
+ 'vmware-horizon-pcoip' 'vmware-horizon-teams-optimization')
+ replaces=('vmware-horizon-pcoip' 'vmware-horizon-teams-optimization')
+ depends=('binutils' 'expat' 'ffmpeg4.4' 'glib2' 'gtk3' 'libudev0-shim' 'libxml2' 'libxss'
+ 'libxtst' 'openssl' 'vmware-keymaps')
optdepends=('alsa-lib: audio support via alsa'
'freerdp: RDP remote desktop connections'
'libpulse: audio support via pulse sound server'
@@ -105,7 +104,6 @@ package_vmware-horizon-client() {
'vmware-horizon-mmr: MultiMedia Redirection'
'vmware-horizon-rtav: Real-Time Audio-Video (webcam and audio-in)'
'vmware-horizon-smartcard: smartcard authentication'
- 'vmware-horizon-teams-optimization: Teams optimization'
'vmware-horizon-tsdr: folder sharing'
'vmware-horizon-usb: USB device redirection')
install=vmware-horizon-client.install
@@ -130,6 +128,12 @@ package_vmware-horizon-client() {
mkdir -p "${pkgdir}/usr/"
cp -a 'lib/' "${pkgdir}/usr/"
+ for LIB in 'libavcodec.so.58' 'libavutil.so.56'; do
+ for I in $(find "${pkgdir}/usr/lib/vmware/view/" -name "${LIB}") "${pkgdir}/usr/lib/vmware/view/${LIB}"; do
+ ln --symbolic --force --relative "/usr/lib/${LIB}" "${I}"
+ done
+ done
+
install -D -m0644 "${srcdir}/vmware-horizon.svg" "${pkgdir}/usr/share/icons/hicolor/scalable/vmware-horizon.svg"
for SIZE in 16 24 32 48 64 96 128; do
install -d "${pkgdir}/usr/share/icons/hicolor/${SIZE}x${SIZE}/apps/"
@@ -192,16 +196,6 @@ package_vmware-horizon-smartcard() {
cp -a 'lib/' "${pkgdir}/usr/"
}
-package_vmware-horizon-teams-optimization() {
- pkgdesc='VMware Horizon Client connect to VMware Horizon virtual desktop - Teams optimization'
- depends=('vmware-horizon-client')
-
- cd "${srcdir}/extract/vmware-horizon-teams-optimization/"
-
- mkdir -p "${pkgdir}/usr/"
- cp -a 'lib/' "${pkgdir}/usr/"
-}
-
package_vmware-horizon-tsdr() {
pkgdesc='VMware Horizon Client connect to VMware Horizon virtual desktop - folder sharing'
depends=('vmware-horizon-client' 'glibmm' 'glib2')